<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" style="width:500px;margin-top: 1%;">
    <div id='pop' style="border: 1px solid #ffffff;">
    <div class="detil" style="padding: 2px;background-color: white;"> 
        <form id="frm_akta_pid_perm_kasasi" class="templatepopform" method="post" action="<?php echo base_url().'c_template_tun_akta_permohonan_kasasi/cetak_akta_permohonan_kasasi';?>">
           <table id="" style="padding:5px;"> 
            <tr><td colspan="2" class="templatepoptitle">
            <?php 
                $i=0;
                foreach ($template->result() as $template)
                {
                    if ($i=='0')
                    {
                        $jnsperkara=$template->jnsperkara;
                    }
                }
                    echo strtoupper("Akta Permohonan Kasasi<br/>Perkara ".$jnsperkara);
            ?>
            </td></tr>
            <tr>
                <td class="templatepopleftcol"><span style="font-size:13px;">Pihak Perkara Kasasi</span></td>
                <td style="font-size:13px; padding-left:10px" >
                    <?php 
                    if($info != ''){
                        if($info->num_rows>0){
                            foreach ($info->result() as $row) { 
                                if($pihakasal==1 OR $pihakasal!=2){
                                    echo $this->templatehelper->standradnaming($row->pihak_nama);
                                    
                                    
                                }elseif($pihakasal==2){
                                    echo $this->templatehelper->standradnaming($row->pemohon_kasasi);
                                    //echo "&nbsp Diwakili oleh: <b>".$this->templatehelper->standradnaming($row->diwakili)."</b>";
                                }                                
                            }
                        }
                    }
                    ?>
                </td>
            </tr> 
            <!-- <tr>
                <td class="templatepopleftcol">Pilih Jenis Akta<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="jenisTemplate" id="jenisTemplate" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php
                                if($idakta==1 AND $pihakasal==2){
                                    echo '<option value="-1">Pilih Jenis Akta Permohonan</option>';
                                    echo '<option value="1">Akta Permohonan Kasasi Oleh Tergugat</option>';
                                    echo '<option value="2">Akta Permohonan Kasasi Oleh Kuasa Hukum Tergugat</option>';
                                }elseif($idakta==1 AND $pihakasal==1){
                                    echo '<option value="3">Akta Permohonan Kasasi Oleh Pengugat</option>';
                                    echo '<option value="4">Akta Permohonan Kasasi Oleh Penuntut Umum</option>';

                                }
                                ?>                                
                            </select>
                        </span>
                </td> 
            </tr> -->
            <tr class="row_terdakwa" style="display:none;">
                <td class="templatepopleftcol">Pilih Terdakwa<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="terdakwa" id="terdakwa" class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php 
                                    // if($info_DataTerdakwa != ''){
                                    //     if($info_DataTerdakwa->num_rows>0){
                                    //         if($info_DataTerdakwa->num_rows>1){
                                    //             echo '<option value="-1">Pilih Terdakwa</option>';
                                    //         }foreach ($info_DataTerdakwa->result() as $row) {
                                    //             $pihak_id = base64_encode($this->encrypt->encode($row->pihak_id));
                                    //             echo "<option value='".$pihak_id."'>".$this->templatehelper->standradnaming($row->pihak_nama).' tanggal Permohonan '.$this->templatehelper->convertKeTglIndo($row->tglPemohonKasasi)."</option>";
                                    //         }
                                    //     }else{
                                    //         echo '<option value="-1">Data Terdakwa Yang Melakukan Kasasi Tidak Ada</option>';
                                    //     }
                                    // }else{
                                    //     echo '<option value="-1">Data Terdakwa Yang Melakukan Kasasi Tidak Ada</option>';
                                    // }
                                ?>
                            </select>
                    </span>
                </td> 
            </tr>
            <tr class="row_ph" style="display:none;">
                <td class="templatepopleftcol">Pilih Penasihat Hukum<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="ph" id="ph" class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php 
                                    if($info_DataPHKasasi != ''){
                                        if($info_DataPHKasasi->num_rows>0){
                                            if($info_DataPHKasasi->num_rows>1){
                                                echo '<option value="-1">Pilih Penasihat Hukum</option>';
                                            }foreach ($info_DataPHKasasi->result() as $row) {
                                                $pengacara_id = base64_encode($this->encrypt->encode($row->pengacara_id));
                                                echo "<option value='".$pengacara_id."'>".$this->templatehelper->standradnaming($row->namaPengacara).' mewakili '.$this->templatehelper->standradnaming($row->pihak_nama)."</option>";
                                            }
                                        }else{
                                            echo '<option value="-1">Data Kuasa Hukum Yang Melakukan Kasasi Tidak Ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Kuasa Hukum Yang Melakukan Kasasi Tidak Ada</option>';
                                    }
                                ?>
                            </select>
                    </span>
                </td> 
            </tr>
            <?php if($pihakasal==1){ ?>
                <tr>
                    <td class="templatepopleftcol">Pilih Penuntut Umum<font color=red>*</font></td>
                        <td style="">
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:250px;'  name="jpu" id="jpu" class="custom-dropdown__select custom-dropdown__select--white">                                
                                    <?php 
                                        if($info_dataJaksaKasasi != ''){
                                            if($info_dataJaksaKasasi->num_rows>0){
                                                if($info_dataJaksaKasasi->num_rows>1){
                                                    echo '<option value="-1">Pilih Jaksa Penuntu Umum</option>';
                                                }foreach ($info_dataJaksaKasasi->result() as $row) {
                                                    $pihak_id = base64_encode($this->encrypt->encode($row->pihak_id));
                                                    echo "<option value='".$pihak_id."'>".$this->templatehelper->standradnaming($row->nama).' / '.$row->pekerjaan."</option>";
                                                }
                                            }else{
                                                echo '<option value="-1">Data Penuntut Umum Yang Melakukan Kasasi Tidak Ada</option>';
                                            }
                                        }else{
                                            echo '<option value="-1">Data Penuntut Umum Yang Melakukan Kasasi Tidak Ada</option>';
                                        }
                                    ?>
                                </select>
                        </span>
                    </td> 
                </tr>
            <?php } ?>
            <tr class="row_diwakilkan" style="display:none;">
                <td class="templatepopleftcol">Disampaikan Kepada<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="diwakilkan" id="diwakilkan" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih disampaikan Oleh</option>
                                <option value='1'>Kepala Lembaga Pemasyarakatan</option>
                                <option value='2'>Kepala Rumah Tahanan Negara</option>
                            </select>
                        </span>
                    </td> 
            </tr>
            <tr>
                <td class="templatepopleftcol">Terhadap Putusan<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="putusan" id="putusan" class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php 
                                    if($dataPutusan != ''){
                                        if($dataPutusan->num_rows>0){
                                            if($dataPutusan->num_rows>1){
                                                echo '<option value="-1">Silakan Pilih Terhadap Putusan</option>';
                                            }foreach ($dataPutusan->result() as $row) {
                                                $idPut = base64_encode($this->encrypt->encode($row->idPut));
                                                echo "<option value='".$idPut."'>". $this->templatehelper->standradnaming($row->tahapan) ."&nbsp;Nomor: ". $row->nomorPerkara .".&nbsp  Tgl Putus : ".$this->templatehelper->convertKeTglIndo($row->tglPutus) ." </option>";
                                            }
                                        }else{
                                            echo '<option value="-1">Data Putusan Tidak Ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Putusan Tidak Ada</option>';
                                    }
                                ?>
                            </select>
                        </span>
                </td> 
            </tr>
            <tr>
                <td class="templatepopleftcol">Pembuat Penetapan<font color=red>*</font></td>
                    <td style="">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="pembuat" id="pembuat" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php 
                                    if($info_penadatangan != ''){
                                        if($info_penadatangan->num_rows>0){
                                            foreach ($info_penadatangan->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo "<option value='".$id."'>".$row->pejabat.' - '.$row->pw."</option>";
                                            }
                                        }else{
                                            echo '<option value="-1">Data Pembuat Penetapan Tidak ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Pembuat Penetapan Tidak ada</option>';
                                    }
                                ?>
                            </select>
                    </span>
                </td> 
            </tr>            
            <tr>
                <td colspan="2" style="background:white;" align="center">
                    <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">
                    <input type="hidden" id="idpihak" name = 'idpihak' value="<?php echo $info->row()->pihak_id; ?>">
                    <input type="button" id="kembali" value="Kembali" class="btn">
                    <input type="submit" id="print_btn" value="Cetak" class="btn">
                </td>
            </tr>
            </table>
</form>
</div>
</div>
</div>
<script type="text/javascript">

$('#kembali').closingFormWin();

$("#jenisTemplate").change(function(){
    if(($(this).val()==1) || ($(this).val()==2))
    $("tr.row_terdakwa").show();
    else $("tr.row_terdakwa").hide();
})
$("#jenisTemplate").change(function(){
    if(($(this).val()==2))
    $("tr.row_diwakilkan").show();
    else $("tr.row_diwakilkan").hide();
})
$("#jenisTemplate").change(function(){
    if(($(this).val()==3))
    $("tr.row_ph").show();
    else $("tr.row_ph").hide();
})
$("#jenisTemplate").change(function(){
    if(($(this).val()==4))
    $("tr.row_jpu").show();
    else $("tr.row_jpu").hide();
})


$('#frm_akta_pid_perm_kasasi').submit(function(e) {
    var jenisTemplate = $('#jenisTemplate').attr('value');    
    var pembuat = $('#pembuat').val();
    if(pembuat == -1){
        message_error_show('Silahkan Pilih Pejabat Pembuat AKTA');
        e.preventDefault();
    }
    var putusan = $('#putusan').val();
    if(putusan == -1){
        message_error_show('Silahkan Pilih Kasasi Terhadap Putusan PN/PT');
        e.preventDefault();
    }

    if((jenisTemplate==1)){
        var terdakwa = $('#terdakwa').attr('value');
            if(terdakwa == -1){
                message_error_show('Silahkan Pilih terdakwa');
            e.preventDefault();
            }
    }
    if((jenisTemplate==2)){
        var diwakilkan = $('#diwakilkan').attr('value');
            if(diwakilkan == -1){
                message_error_show('Silahkan Pilih diwakilkan Oleh');
            e.preventDefault();
            }else
            if(terdakwa == -1){
                message_error_show('Silahkan Pilih terdakwa');
            e.preventDefault();
            }
    }
    if((jenisTemplate==3)){
        var ph = $('#ph').attr('value');
            if(ph == -1){
                message_error_show('Silahkan Pilih Penasihat Hukum');
            e.preventDefault();
            }
    }
    if((jenisTemplate==4)){
        var jpu = $('#jpu').attr('value');
            if(jpu == -1){
                message_error_show('Silahkan Pilih Jaksa Penuntut');
            e.preventDefault();
            }
    }
    if((jenisTemplate==2)){
        var diwakilkan = $('#diwakilkan').attr('value');
             if(diwakilkan == -1){
                message_error_show('Silahkan Pilih diwakilkan Oleh');
            e.preventDefault();
            }
    }
    if(jenisTemplate==-1){
        message_error_show('Silahkan Pilih Jenis Akta Permohonan Kasasi');
        e.preventDefault();
    }

});
</script>